FIXINCLUDES(1)

NAME
fixincludes - Reducér antallet af #include i KDE's kildekodefiler

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [fil] [--help]

BESKRIVELSE

fixincludes forsøger at reducere antallet af #include i C++ kildekodefiler. Det meste af dets behandling er specifik for KDE-kildekode, og virker måske ikke så godt med kildekode for program udenfor KDE.

Følgende problemer identificeres af fixincludes:

•   Inkluderede deklarationsfiler som ikke længere understøttes men som er der for at virke sammen med ældre Qt- og KDE-versioner.

•   Inkludering af samme fil flere gange.

Der er også en eksperimentel tilstand som forsøger at fjerne hver #include en af gangen (med nogle få undtagelser) for at se om kildekoden stadigvæk kan kompileres. Bemærk et denne eksperimentelle tilstand ændrer oprindelig kildekode.

Normalt ændres kildekoden ikke. De identificerede problemer skrives blot ud på standardudskriften.

Listen med C++ filer at undersøge skal angives på kommandolinjen. Hvis ingen filer angives, undersøgs al C++ kildekode i eller under nuværende katalog (med undtagelse af kataloger hvis Makefile.am indeholder UQT_NO_COMPAT eller -UKDE_NO_COMPAT).

Værktøjet er en del af KDE's programmeludviklingsmiljø.

TILVALG

-v, --verbose
    Informativ tilstand. Yderligere fejlsøgningsudskrift skrives ud på standardudskriften.

-e, --experimental
    Eksperimentel tilstand, som beskrevet ovenfor med flere detaljer. Bemærk at flaget også betyder --modify.

-m, --modify
    Foruden at skrive meddelelser på standardudskriften, ændres virkelig den oprindelige kildekode for at rette eventuelle problemer som blev fundet.

FORFATTERE

fixincludes er skrevet af Dirk Mueller <mueller@kde.org>.

AUTHOR
Ben Burton.